float4 vecSkill1;
float4 vecViewPort;
texture TargetMap;

sampler2D smpScreen = sampler_state
{
	Texture = <TargetMap>;
	
	MinFilter	= linear;
	MagFilter	= linear;
	MipFilter	= linear;
	
	AddressU		= Clamp;
	AddressV		= Clamp;
};

float4 Shader(float2 tex : TEXCOORD0) : COLOR
{
	float4 Color = 0.0;
	float2 dir = tex-0.5;
	
	for(int i = 0; i < 30; i++)
	{
		Color += tex2D(smpScreen, tex+(float)i*dir*vecViewPort.zw*3);
	}
	
	Color /= 31;
	
	return Color;
}

technique tech_00
{
	pass pass_00
	{
		VertexShader = null;
		PixelShader = compile ps_3_0 Shader();
	}
}
